| Home | Libraries | People | FAQ | More

## Struct template size_type_of<interval_traits< Type >>

boost::icl::size_type_of<interval_traits< Type >>

## Synopsis

    // In header: <boost/icl/interval_traits.hpp>

    template<typename Type>
    struct size_type_of<interval_traits< Type >> {
      // types
      typedef interval_traits< Type >::domain_type domain_type;
      typedef size_type_of< domain_type >::type    type;
    };